#!/bin/bash

tag=$1

echo $tag

# we could also checkout from remote
git archive --format=zip -o yac-$tag.zip --prefix=yac-$tag/ $tag

mv yac-$tag.zip ..
cd ..

# unpack archive and clean it up

unzip yac-$tag.zip

cd yac-$tag

# a) clean up main directory

rm -f yac-distribution.sh

# b) clean up example directory

rm -f *.sh

# c) process manual and clean up gui manual directory

cd gui/manual

make pdf

mv gui_manual.pdf ..
cd ..

rm -r manual
mkdir manual
mv gui_manual.pdf manual/.

cd ../..

# create an archive file for distributing

rm yac-$tag.zip

tar -czf yac-$tag.tgz yac-$tag

